
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c++里常量引用的问题（函数） / iVAN</title>

    <meta name="description" content="c++里常量引用的问题（函数） 问题描述 c++里常量引用的问题(函数) 常量引用是什么意思,比如有一个类p,然后一个函数int f(const &amp; p),这个函数是p的成员函数,要怎么调用他,函数体的形参怎么写.求解释谢谢啦 解决方案 求大神给举个例子真心谢谢了 解决方案二: 常量引用主要是用来表明函数的行为,就是这个参数是引用,而且是常量的,函数内部应该不会对这个引用的对象进行修改处理.只是只读的操作 解决方案三: class P { public: int fun(const int&amp; tmp) { co ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c++里常量引用的问题（函数）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>c++里常量引用的问题（函数）
        </dt>
<dd>
          <br />常量引用是什么意思，比如有一个类p，然后一个函数int f(const &amp; p),这个函数是p的成员函数，要怎么调用他，函数体的形参怎么写。求解释谢谢啦</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>求大神给举个例子真心谢谢了</p>
<p>解决方案二：<br />
    <br />常量引用主要是用来表明函数的行为，就是这个参数是引用，而且是常量的，函数内部应该不会对这个引用的对象进行修改处理。只是只读的操作</p>
<p>解决方案三：<br />
    <br />class P {<br />
public:<br />
    int fun(const int&amp; tmp) {<br />
        cout&lt;&lt;tmp&lt;&lt;endl;<br />
    }<br />
};</p>
<p>调用:<br />
    P* p = new P();<br />
    int a = 4;<br />
    p-&gt;fun(a);  //第一种调用<br />
    const int b = 5;<br />
    p-&gt;fun(b);  //第二种调用<br />
注意不能在fun方法中去改变tmp的值, 因为它是const属性</p>
<p>解决方案四：<br />
    <br />我觉得你说的应该是类的实例p，还没听说过直接传类的引用的。<br />
传实例本身的话，成员函数默认有this指针，不必用引用的形式，至于const可以这样来写：<br />
class P {<br />
public:<br />
int fun()const {<br />
。。。。。。<br />
return 0；<br />
}<br />
};</p>
<p>如果你是想实现某种多态的话，这个函数起码得是虚函数，所以确实没怎么看懂你的意思。</p>
<p>解决方案五：<br />
    <br />取引用是为了加快程序运行速度，这样就不用将实参拷贝给行参。但是，引用的话可能会改变实参值，所以在前面加上const防止写函数时修改实参值。</p>
<p>解决方案六：<br />
    <br />用起来是一样的，加上常亮的引用就是不用拷贝，并且不用在函数里面修改，只能读取常实参值。</p>
<p>解决方案七：</p>
<pre><code>
class Mystring
{
private:
    char *str;
    int length;
public:
    Mystring()
    {
        length = 0;
        str = new char(length);
        str = NULL;
    }
    Mystring(const char *arr)//
    {
        length = strlen(str);
        str = new char[length];
        strcpy(str, arr);
    }
    Mystring(const Mystring &amp;s)
    {
        str = new char[s.length];
        length = s.length;
        strcpy(str, s.str);
    }
    Mystring &amp;operator=(const Mystring &amp;s)
    {
        if (this == &amp;s)
            return *this;
        Mystring strtemp(s);
        char *ptemp = strtemp.str;
        strtemp.str = str;
        str = ptemp;

        return *this;

    }
    ~Mystring()
    {
        delete str;
    }
};
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:38:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c++里常量引用的问题（函数）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlL3vaM.html" rel="bookmark">vb&period;net-为什么MFC里可以引用的API函数，到VB&period;NET却不能用？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么MFC里可以引用的API函数,到VB.NET却不能用? 为方便起见,许多情况下要用Winform来代替MFC,于是我选择了用VB语言编写程序.其中为了窗口的通信,要用到sendmessage函数. 查阅了许多关于VB的资料(或许 VB6 与 VB.NET 的规则有点不同),编写代码如下.这个代码的目的很简单:就是要让Form1的button1被按下时候,关掉Form2. 要想达到这个目的,需要Form1对Form2发出WM_CLOSE消息. 使用工具是VS2010. 在一个pro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN74WNp.html" rel="bookmark">引用函数-c&plus;&plus;怎么在view里的一个函数引用的函数里再引用一个函数？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c++怎么在view里的一个函数引用的函数里再引用一个函数? 下面第一个函数就是我想要在第二个函数里面用的,而第二个函数是第一个引用的 void CZHANGMIN1View::InsertSort(unsigned char pArray, int iLength) { unsigned char tmp; int i, j; for(i = 1; i &lt; iLength; i++) { j = i-1; tmp = pArray[i]; while(j &gt;= 0 &amp;&am			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwyGWvM.html" rel="bookmark">java 传参的时候，有常量引用吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c++里可以成const&amp;st,防止引用参数被修改,在java里应该怎么写? 解决方案 解决方案二:你是指函数参数为常量吗?如果是,用finalpublicvoidtest(finalinta){}解决方案三:Java传递参数,如果是intString,不加final也没事.解决方案四:引用1楼enzo1986的回复: 你是指函数参数为常量吗?如果是,用finalpublicvoidtest(finalinta){} 你好.publicstaticvoidchange(finalnin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamd9Xb.html" rel="bookmark">请问matlab里自带的deconvblind函数运用的是哪种盲解卷积的算法，求原理过程~~~</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问matlab里自带的deconvblind函数运用的是哪种盲解卷积的算法,求原理过程~~~ % Parse inputs to verify valid function calling syntaxes and arguments [J,P,NUMIT,DAMPAR,READOUT,WEIGHT,sizeI,classI,sizePSF,FunFcn,FunArg] = ... parse_inputs(varargin{:}); % 1. Prepare parameters			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamL9gb.html" rel="bookmark">c&plus;&plus; 中常量引用相关问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c++ 中常量引用相关问题? int i = 42;const int &amp;r1 = i; //这句正确,我能理解.const int &amp;r2 = 42; // 这句我认为是错的,但书上给的是对的..大家说这到底怎么回事呢? 解决方案 请说明你认为错误的理由是什么?这一句你认为错可能是因为赋值表达式后面是常量,但为什么不能是常量呢! 解决方案二: C++的常量引用 如果是对一个常量进行引用,则编译器首先建立一个临时变量,然后将该常量的值置入临时变量中,对该引用的操作就是对该临时变量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrDorM.html" rel="bookmark">js-javascript onclick 无法触发其引用的自定义函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 javascript onclick 无法触发其引用的自定义函数 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;文章管理&lt;/title&gt; &lt;link href=&quot;/blog/css/bootstrap.min.css&quot; rel=&quot;stylesheet&quot;&gt; &lt;style&gt; body { font-family: Georgia, &quot;Tim			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1kdaz.html" rel="bookmark">引用 返回值-引用值作为函数的返回值的困惑</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 引用值作为函数的返回值的困惑 /////////////////////////////////////////////////////// double array[5] = {100.1, 100.2, 100.3, 100.4, 100.5}; double cd = 5.2; double &amp;change(int i) { return array[i]; } void TestConstReturnVaulefun() { int i; cout&lt;&lt;&quot;原始			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z403Yrz.html" rel="bookmark">引用返回值 引用形参-在C&plus;&plus;中，很简单的引用返回值函数，可以返回两个引用的相加和吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在C++中,很简单的引用返回值函数,可以返回两个引用的相加和吗 #include using namespace std; void main() { int&amp; sum(int &amp;a,int&amp; b); int a=1,b=2; sum(a,b)+=1; } int &amp;sum(int &amp; a,int &amp; b) { return a+b; } 在VC6.0中编译出错error C2440: 'return' : cannot convert from			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvnl86M.html" rel="bookmark">oracle-Oracle里我记得有一个函数的功能是分组后可以显示组里的其他数据&comma;不单单显示组名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Oracle里我记得有一个函数的功能是分组后可以显示组里的其他数据,不单单显示组名 我根据名字分组后 (SELECT NAME FROM EMP GROUP BY NAME),显示A B C,但是我还想显示A,B,C下面的id 解决方案 wm_concat 函数 解决方案二: 你说的是group by吧??? 解决方案三: 你可以在group by 分组后,使用函数为max(),min()等显示非分组的字段 解决方案四: 分析函数,例如 select ename,deptno,sum(			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXjq5b.html" rel="bookmark" class="title">win7系统在百度云盘下载文件速度很慢如何提升下载速度</a>
					<div>
						  1.我们可以使用360安全(急速)浏览器.百度.搜狗等等的浏览器,并切换到极速模式(高速模式)下,谷歌浏览器无需切换,直接打开即可; 360浏览器切换高速模式: 2.百度浏览器切换高速模式: 切换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY5V5M.html" rel="bookmark" class="title">struts2&period;0-在struts2中用什么替代&amp;amp&semi;amp&semi;lt&semi;logic&colon;notPresent&amp;amp&semi;amp&semi;gt&semi;</a>
					<div>
						问题描述 在struts2中用什么替代&lt;logic:notPresent&gt; &lt;logic:notPresent name=&quot;class${classSingle.class ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zemQAz.html" rel="bookmark" class="title">Iconfont在移动端遇到问题的探讨</a>
					<div>
						Iconfont越来越得到前端的关注,特别是阿里那个iconfont库的推出和不断完善,再加上连IE6都能兼容,的确是个好东西. 既然那么火,我们公司移动项目也计划加入这个iconfont,于是我就针 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm1Pap.html" rel="bookmark" class="title">百度统计针对访问时长进行升级</a>
					<div>
						随着百度外链工具的推出,百度统计也紧随其步伐于昨晚7点半左右进行了升级,从百度桌面按钮到昨天晚上百度统计平台的升级,这中间度娘给我们的惊喜不断,K站也不断,照夫唯老师的话来说是从站长平台到百度统计,新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVxQkM.html" rel="bookmark" class="title">DataGrid中添加自动编号</a>
					<div>
						datagrid 在aspx文件中的datagrid:&lt;asp:datagrid id=&quot;DataGrid1&quot; runat=&quot;server&quot; AutoGe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgaYEz.html" rel="bookmark" class="title">百度中文分词技术的一点小猜测</a>
					<div>
						大家都知道,百度的中文分词技术比GOOGLE做的好,以下引用网络上找到的一张图片说明:   从上图可以推断出,百度遇到一个关键字,应该是先不进行分词,而是先检索百度百科的词条和百度指数有指数的中文词进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2dlkb.html" rel="bookmark" class="title">Oracle JOB的建立及定时执行任务</a>
					<div>
						beginsys.dbms_job.submit(job =&gt; :job,what =&gt; 'check_err;',next_date =&gt; trunc(sysdate)+23/24 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62QlOM.html" rel="bookmark" class="title">在windows中如何安装Nutch</a>
					<div>
						本来有机会接一个搜索引擎项目的,但最终因价格问题双方谈崩.为此,我感到深深的遗憾,失去了一个极好的实践机会.但我不想因此放弃对搜索引擎的学习和实践,在网上听到很多人推荐Nutch.所以我打算学习一下N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ar0Bp.html" rel="bookmark" class="title">数据点-WCF服务中的LINQ投影查询和替代方案</a>
					<div>
						上个月当我的本地 .NET 用户组的演示者正在课堂上写 LINQ 查询时,我问他 ,&quot;以前没有 LINQ 的时候,我们是怎么过的&quot;?他回答说,&quot;真是难以想象&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK8oVp.html" rel="bookmark" class="title">阿里云如何取消安全组规则</a>
					<div>
						阿里云如何取消安全组规则 如果您不想应用某个安全组规则,可以取消.操作如下: 登录 云服务器管理控制台. 单击左侧导航中的 安全组. 选择地域. 选中需要取消的安全组,点击 配置规则. 在安全组规则管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyov8b.html" rel="bookmark" class="title">谷歌Android UI设计技巧：优秀UI设计准则</a>
					<div>
						本文原是Android的官方开发者博客的一份Android UI设计的幻灯片,51CTO的译者将这份教程5部分进行翻译整理,希望对Android开发者能有帮助.本文为&lt;谷歌Android UI设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKZYVp.html" rel="bookmark" class="title">Windows 7任务栏无法显示电源图标解析</a>
					<div>
						带着本本出门时经常要看一下电池电量,但最近突然发现 Windows 7 任务栏通知区域里的电源图标不见了.打开通知区域图标管理,电源选项那块是灰色的,无法选择. 故障图如下: 在开始搜索框中键入 gp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zkg3b.html" rel="bookmark" class="title">简单参数让谷歌Chrome浏览器单进程运行</a>
					<div>
						  大多数人都会在怨恨Google Chrome的多线程吃内存吧?而且即使标签独立进程,稳定性也不见得高到哪里去,经常遇到要崩溃就一起崩溃的情况,下面小编就教大家一个浏览器单进程的方法:内存省多了,速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3wG5M.html" rel="bookmark" class="title">Photoshop之多次蒙板的压暗与突出</a>
					<div>
						  蒙版作用很多,压喑四角只是其中一种作用,多次蒙版意思是每次画笔不透明度降低13~33%,抹后合并图层,再次新建图层,再次涂抹,压暗,再合并,比不透明度一次选60~70%涂抹过渡要自然许多,网上真是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWGkop.html" rel="bookmark" class="title">笔记本win7系统通知区域电量图标不见了怎么办？</a>
					<div>
						  电脑右下角中有个通知区域,里面有很多我们日常生活中经常使用到的功能,比如说时间.音量.电源等等,对我们的使用都有很大的辅助作用,我们也习惯于它们的存在,在使用中经常时不时的以它们的显示为准,所以它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGPjop.html" rel="bookmark" class="title">新浪微博如何管理焦点图&sol;焦点视频？</a>
					<div>
						  第一步:进入企业主页,点击主页中栏上方的焦点区的&quot;管理&quot;按钮,则弹出焦点区管理对话框; 第二步:焦点区管理可管理焦点图片或焦点视频,点击相应选项即可,只能使用一种形式展示; 第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa1RkM.html" rel="bookmark" class="title">误删了文件怎么办</a>
					<div>
						  不用第三方软件直接操作注册表找回误删文件的方法 1.单击&quot;开始--运行,然后输入regedit (打开注册表) 2.依次展开:HEKEY--LOCAL--MACHIME/SOFTWARE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG6adp.html" rel="bookmark" class="title">servlet-关于Servlet过滤器修改输出内容的疑惑</a>
					<div>
						问题描述 关于Servlet过滤器修改输出内容的疑惑 如题,先上代码,代码很简单,一个将jsp输出内容转为大写字母的过滤器: ```public class UpperCaseFilter imple ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQBRYp.html" rel="bookmark" class="title">android studio 问题-android studio导入新目后出错</a>
					<div>
						问题描述 android studio导入新目后出错 Error:Cause: failed to find target with hash string 'android-21' in: E:wc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQKrnp.html" rel="bookmark" class="title">Dedecms数据库结构表名：dede&lowbar;tagindex</a>
					<div>
						Dedecms数据库结构表名:dede_tagindex字段说明如下: 表名:dede_tagindex (ENGINE=MyISAM/CHARSET=gbk) 说明:tags 标签表 字段名 说明描 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn79ZOz.html" rel="bookmark" class="title">企业版Windows Server 2003安装详细图解</a>
					<div>
						Windows Server http://www.aliyun.com/zixun/aggregation/19058.html&quot;&gt;2003是目前微软推出的使用最广泛的服务器操作系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N35az.html" rel="bookmark" class="title">eclipse电影售票系统求解答</a>
					<div>
						问题描述 eclipse电影售票系统求解答 eclipse电影售票系统,最好是利用jdbc来做的,急需,求各位厉害的大神能够帮助一下我 解决方案 开价吧!╭(°A°`)╮ 解决方案二: 这里问问问题还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjvDNM.html" rel="bookmark" class="title">wpf-WPF下获取内部浏览器的输入框焦点获取和失去事件</a>
					<div>
						问题描述 WPF下获取内部浏览器的输入框焦点获取和失去事件 现在需要做个功能在windows平台上实现类似android和ios那样的虚拟键盘获取到输入焦点自动呼出,失去焦点自动关闭,使用普通的带输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWldP7p.html" rel="bookmark" class="title">操作系统概念学习笔记 7 操作系统结构</a>
					<div>
						操作系统概念学习笔记 7 操作系统结构 系统设计 设计目标 系统设计的第一个问题是定义系统的目标与规格.在最高层,系统设计受到硬件选择和系统类型的影响. 需求可以分为两个基本类:用户目标和系统目标 策 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RwLQb.html" rel="bookmark" class="title">Android编程之Bitmap图片压缩大小</a>
					<div>
						itmap图片太大,会造成内存溢出.一般的都有图片预览机制,就是得到一张尺寸小一点的图片. 这里所谓的缩小尺寸可不是指在layout中设置一下宽高使图片缩小(其实质还是一张占内存大图),而是实实在在的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1oj4z.html" rel="bookmark" class="title">网易11月停止聊天室服务运营内幕</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 我是开网吧的,看过几个人上过网易的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgje5b.html" rel="bookmark" class="title">索尼公司PS3游戏机在美国上市</a>
					<div>
						由于排队玩家太多,索尼供货又严重不足(全美只有四十万台),各卖场前的长队中都出现了不同程度的混乱甚至暴力情况. 在康涅狄格州的普特纳穆,一群排队购买PS3的消费者遭到抢劫.两个持枪男子逼迫排队者交出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW2jXM.html" rel="bookmark" class="title">线程-请问android的异步请求用那种比较好呢</a>
					<div>
						问题描述 请问android的异步请求用那种比较好呢 这里说比如一般的异步请求我会使用new Thread()这种方式,也是我用过最多的,虽然很容易出现anr,但是我很少遇到过,请问大神么觉得平常异步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2EJYz.html" rel="bookmark" class="title">node-serialport &mdash;&mdash; Node&period;js 串口数据读写包</a>
					<div>
						node-serialport 是一个 Node.js 的包,用来对串口数据进行读写操作. 基本示例代码: var SerialPort = require(&quot;serialport&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1LQKb.html" rel="bookmark" class="title">js使用eval解析json&lpar;js中使用json&rpar;&lowbar;javascript技巧</a>
					<div>
						先来说eval的用法,内容比较简单,熟悉的可以跳过eval函数接收一个参数s,如果s不是字符串,则直接返回s.否则执行s语句.如果s语句执行结果是一个值,则返回此值,否则返回undefined. 需要 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
